Alfresco 5.2 & PostgreSQL 12

cancel
Showing results for 
Search instead for 
Did you mean: 
Active Member

Alfresco 5.2 & PostgreSQL 12

Hi,

I have an instalation in AWS with Alfresco 5.2 Community, but RDS instances with PostgreSQL 9.5 will be updated  automatically to PostgreSQL 12 next year. I saw table with supported platforms but PostgreSQL 12 doesn't appear. Can I update or do you recommend me to update to this version manually???Would it work ok???

Another possibility... I could install EC2 instance wit minimal linux and install PostgreSQL 9.5, but I prefer work with RDS.

Thank you in advance,

1 Reply
Moderator
Moderator

Re: Alfresco 5.2 & PostgreSQL 12

Unless it is listed in supported platform, i would avoid upgrading.

However, you can install a copy of your existing acs instance and take back up of old version of db and restore in pg12 and point the new acs instance to use pg12 and do a thorough regression test in case upgrade can't be avoided.

 

Anything used other than listed here may not be supported by alfresco support, you can always open a support ticket with your queries in this regards if you are using enterprise version (based on tag of your post it seems you are using community version but jusy FYI): https://docs.alfresco.com/5.2/concepts/supported-platforms-ACS.html 

~Abhinav
(ACSCE, AWS SAA-C02, GAIQ)